# Method: people.get

- [HTTP request](https://developers.google.com/people/api/rest/v1/people/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/people/api/rest/v1/people/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/people/api/rest/v1/people/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/people/get#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/people/get#body.response_body)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/people/get#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/people/get#try-it)

Provides information about a person by specifying a resource name. Use `people/me` to indicate the authenticated user.

The request returns a 400 error if 'personFields' is not specified.

### HTTP request

`GET https://people.googleapis.com/v1/{resourceName=people/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Required. The resource name of the person to provide information about. - To get information about the authenticated user, specify `people/me`. - To get information about a google account, specify `people/{account_id}`. - To get information about a contact, specify the resource name that identifies the contact as returned by `https://developers.google.com/people/api/rest/v1/people.connections/list#google.people.v1.PeopleService.ListConnections`. |

### Query parameters

| Parameters ||
|---|---|
| `requestMask (deprecated)` | ``object (`https://developers.google.com/people/api/rest/v1/RequestMask`)`` **DEPRECATED** (Please use `personFields` instead) A mask to restrict results to a subset of person fields. |
| `personFields` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. A field mask to restrict which fields on the person are returned. Multiple fields can be specified by separating them with commas. Valid values are: - addresses - ageRanges - biographies - birthdays - calendarUrls - clientData - coverPhotos - emailAddresses - events - externalIds - genders - imClients - interests - locales - locations - memberships - metadata - miscKeywords - names - nicknames - occupations - organizations - phoneNumbers - photos - relations - sipAddresses - skills - urls - userDefined |
| `sources[]` | ``enum (`https://developers.google.com/people/api/rest/v1/ReadSourceType`)`` Optional. A mask of what source types to return. Defaults to `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_PROFILE` and `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT` if not set. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/people/api/rest/v1/people#Person`.

### Authorization scopes

No authorization required to access public data. For private data, one of the following OAuth scopes is required:

- `https://www.googleapis.com/auth/contacts`
- `https://www.googleapis.com/auth/contacts.readonly`
- `https://www.googleapis.com/auth/contacts.other.readonly`
- `https://www.googleapis.com/auth/directory.readonly`
- `https://www.googleapis.com/auth/profile.agerange.read`
- `https://www.googleapis.com/auth/profile.emails.read`
- `https://www.googleapis.com/auth/profile.language.read`
- `https://www.googleapis.com/auth/user.addresses.read`
- `https://www.googleapis.com/auth/user.birthday.read`
- `https://www.googleapis.com/auth/user.emails.read`
- `https://www.googleapis.com/auth/user.gender.read`
- `https://www.googleapis.com/auth/user.organization.read`
- `https://www.googleapis.com/auth/user.phonenumbers.read`
- `https://www.googleapis.com/auth/userinfo.email`
- `https://www.googleapis.com/auth/userinfo.profile`
- `https://www.googleapis.com/auth/profile.language.read`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).